This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Clusters

1 - 1.2

get /v1/clusters

Description

List Clusters.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None
querydatabase_name
optional
Database Name
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKRdbClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mysql 1.2"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "database_name": "",
            "ha_enabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2 - 1.1

get /v1/clusters

Description

List Clusters.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261031

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None
querydatabase_name
optional
Database Name
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKRdbClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mysql 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "database_name": "",
            "ha_enabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

3 - 1.0

get /v1/clusters

Description

List Clusters.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None
querydatabase_name
optional
Database Name
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKRdbClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mysql 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "database_name": "",
            "ha_enabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}